package com.goafanti.common.dao;

import com.goafanti.common.model.ExpenseAccount;
import com.goafanti.expenseAccount.bo.InputExpenseAccount;
import com.goafanti.expenseAccount.bo.OutExpenseAccount;
import com.goafanti.expenseAccount.bo.OutMyEAStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExpenseAccountMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpenseAccount record);

    int insertSelective(ExpenseAccount record);

    ExpenseAccount selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpenseAccount record);

    int updateByPrimaryKey(ExpenseAccount record);

    OutExpenseAccount selectByid(Integer id);

    OutExpenseAccount selectByaidAndPrid(InputExpenseAccount in);

    List<OutExpenseAccount> selectByaidAndType(@Param("aid") String aid,@Param("depId")String depId, @Param("type")Integer type,
                                               @Param("id")Integer id);

    List<OutMyEAStatistics> selectStatistics(@Param("name") String name, @Param("depId") String depId,
                                             @Param("startTime") String startTime, @Param("endTime") String endTime);

    List<ExpenseAccount> selectByDebitId(Integer debitId);


}
